## papi 5.4.3

=== doc/Makefile ===
.PHONY:	clean install force_me all

all: man
	@echo "Built PAPI user documentation"

html: force_me
	doxygen Doxyfile-html

man: man/man1 man/man3

man/man3: ../src/papi.h ../src/papi.c ../src/papi_hl.c ../src/papi_fwrappers.c
	doxygen Doxyfile-man3

man/man1: ../src/utils/avail.c ../src/utils/clockres.c  ../src/utils/command_line.c ../src/utils/component.c ../src/utils/cost.c ../src/utils/decode.c ../src/utils/error_codes.c ../src/utils/event_chooser.c ../src/utils/event_info.c ../src/utils/mem_info.c ../src/utils/multiplex_cost.c ../src/utils/native_avail.c  ../src/utils/version.c
	doxygen Doxyfile-man1
 
clean:
	rm -rf man html doxyerror

install: man
	-rm -f man/man3/HighLevelInfo.3
	-rm -f man/man3/papi_data_structures.3
	-rm -r ../man/man1/*.1 ../man/man3/*.3
	-cp -R man/man1/*.1 ../man/man1
	-cp -R man/man3/*.3 ../man/man3

=== src/ftests/Makefile ===
# File: ftests/Makefile
# CVS:  $Id$
INCLUDE = -I../testlib
LIBRARY = -lpapi
PAPILIB = $(LIBRARY)
CC	= gcc
CFLAGS	= -g -O 
FFLAGS	= -g -O -ffixed-line-length-132

TESTLIB = ../testlib/libtestlib.a

ifneq ($(F77),)
include Makefile.recipies

install: default
	@echo "Fortran tests (DATADIR) being installed in: \"$(DATADIR)\""; 
	-mkdir -p $(DATADIR)/ftests
	-chmod go+rx $(DATADIR)
	-chmod go+rx $(DATADIR)/ftests
	-find . -perm -100 -type f -exec cp {} $(DATADIR)/ftests \;
	-chmod go+rx $(DATADIR)/ftests/*
	-find . -name "*.[Ffh]" -type f -exec cp {} $(DATADIR)/ftests \;
	-cp Makefile.target $(DATADIR)/ftests/Makefile
	-cat Makefile.recipies >> $(DATADIR)/ftests/Makefile

else
all:
	@echo "Install Fortran compiler to build and run Fortran tests"

install:
	@echo "No Fortran tests to install."
endif

=== src/testlib/Makefile ===
INCLUDE = -I.
LIBRARY = -lpapi
PAPILIB = $(LIBRARY)
CC	= gcc
CC_R	= $(CC) -pthread
CFLAGS	= -g -O -Wall

UTILSRCS:= do_loops.c test_utils.c dummy.c clockcore.c
UTILOBJS:=$(UTILSRCS:.c=.o)
ifneq ($(F77),)
UTILSRCS+= ftests_util.F
UTILOBJS+= ftests_util.o
endif

all:	$(UTILOBJS)
	$(AR) $(ARG64) rv libtestlib.a $(UTILOBJS)

do_loops.o: do_loops.c papi_test.h test_utils.h
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) -c do_loops.c

clockcore.o: clockcore.c
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) -c clockcore.c

dummy.o: dummy.c
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) -c dummy.c

test_utils.o: test_utils.c
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) -c test_utils.c

ftests_util.o: ftests_util.F fpapi_test.h 
	$(F77) $(INCLUDE) $(FFLAGS) $(FTOPTFLAGS) -c ftests_util.F

clean:
	rm -f *.o *genmod.f90 *genmod.mod *.stderr *.stdout core *~ $(ALL) libtestlib.a libtestlib.so

install: 
	@echo "Papi testlib (DATADIR) being installed in: \"$(DATADIR)\""; 
	-mkdir -p $(DATADIR)/testlib
	-chmod go+rx $(DATADIR)
	-chmod go+rx $(DATADIR)/testlib
	-find . -perm -100 -type f -exec cp {} $(DATADIR)/testlib \;
	-chmod go+rx $(DATADIR)/testlib/*
	-find . -name "*.[chaF]" -type f -exec cp {} $(DATADIR)/testlib \;
	-cp Makefile.target $(DATADIR)/testlib/Makefile

=== src/utils/Makefile ===
# File: utils/Makefile
# CVS:  $Id$
INCLUDE = -I../testlib -I. 
LIBRARY = -lpapi
PAPILIB = $(LIBRARY)
TESTLIB = ../testlib/libtestlib.a
CC	= gcc
CC_R	= $(CC) -pthread
CFLAGS	= -g -O -Wall

ALL = papi_avail papi_mem_info papi_cost papi_clockres papi_native_avail \
	papi_command_line papi_event_chooser papi_decode papi_xml_event_info \
	papi_version papi_multiplex_cost papi_component_avail papi_error_codes

default all utils: $(UTIL_TARGETS)

papi_event_chooser: event_chooser.c $(PAPILIB) $(TESTLIB)
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) event_chooser.c $(TESTLIB) $(PAPILIB) $(LDFLAGS) -o papi_event_chooser -lm

papi_xml_event_info: event_info.c $(PAPILIB) $(TESTLIB)
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) event_info.c $(TESTLIB) $(PAPILIB) $(LDFLAGS) -o papi_xml_event_info -lm

papi_clockres: clockres.c $(PAPILIB) $(TESTLIB) 
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) clockres.c $(TESTLIB) \
		$(PAPILIB) $(LDFLAGS) -o papi_clockres -lm

papi_cost: cost.c $(TESTLIB) $(PAPILIB) cost_utils.o
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) cost.c $(TESTLIB) cost_utils.o $(PAPILIB) $(LDFLAGS) -o papi_cost -lm

papi_multiplex_cost: multiplex_cost.c $(TESTLIB) $(PAPILIB) cost_utils.o
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) multiplex_cost.c $(TESTLIB) cost_utils.o $(PAPILIB) $(LDFLAGS) -o papi_multiplex_cost -lm

papi_command_line: command_line.c $(TESTLIB) $(PAPILIB)
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) command_line.c $(TESTLIB) $(PAPILIB) $(LDFLAGS) -o papi_command_line

papi_mem_info: mem_info.c $(PAPILIB) $(TESTLIB)
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) mem_info.c $(TESTLIB) $(PAPILIB) $(LDFLAGS) -o papi_mem_info

papi_version: version.c $(PAPILIB)
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) version.c $(PAPILIB) $(LDFLAGS) -o papi_version

papi_avail: avail.c $(PAPILIB) $(TESTLIB)
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) avail.c $(TESTLIB) $(PAPILIB) $(LDFLAGS) -o papi_avail

papi_decode: decode.c $(PAPILIB) $(TESTLIB)
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) decode.c $(TESTLIB) $(PAPILIB) $(LDFLAGS) -o papi_decode

papi_native_avail: native_avail.c $(PAPILIB) $(TESTLIB)
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) native_avail.c $(TESTLIB) $(PAPILIB) $(LDFLAGS) -o papi_native_avail

papi_component_avail: component.c $(PAPILIB) $(TESTLIB)
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) component.c $(TESTLIB) $(PAPILIB) $(LDFLAGS) -o papi_component_avail

papi_error_codes: error_codes.c $(PAPILIB) $(TESTLIB)
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) error_codes.c $(TESTLIB) $(PAPILIB) $(LDFLAGS) -o papi_error_codes

cost_utils.o: ../testlib/papi_test.h cost_utils.c
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) -c cost_utils.c

clean:
	rm -f *.o *.stderr *.stdout core *~ $(ALL)

install: $(UTIL_TARGETS)
	@echo "Utilities (BINDIR) being installed in: \"$(BINDIR)\""; 
	-mkdir -p $(BINDIR)
	-chmod go+rx $(BINDIR)
	-find . -perm -100 -type f -exec cp {} $(BINDIR) \;

=== src/libpfm4/docs/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

.PHONY: all clean distclean depend

ARCH_MAN=
SYS_MAN=

ifeq ($(CONFIG_PFMLIB_ARCH_X86),y)
ARCH_MAN=libpfm_intel_core.3	\
	 libpfm_intel_x86_arch.3\
	 libpfm_amd64.3		\
	 libpfm_amd64_k7.3	\
	 libpfm_amd64_k8.3	\
	 libpfm_amd64_fam10h.3	\
	 libpfm_amd64_fam15h.3	\
	 libpfm_intel_atom.3	\
	 libpfm_intel_nhm.3	\
	 libpfm_intel_nhm_unc.3 \
	 libpfm_intel_wsm.3	\
	 libpfm_intel_wsm_unc.3 \
	 libpfm_intel_snb.3	\
	 libpfm_intel_snb_unc.3 \
	 libpfm_intel_ivb.3	\
	 libpfm_intel_ivb_unc.3 \
	 libpfm_intel_hsw.3	\
	 libpfm_intel_bdw.3	\
	 libpfm_intel_rapl.3	\
	 libpfm_intel_slm.3	\
	 libpfm_intel_skl.3	\
	 libpfm_intel_snbep_unc_cbo.3 \
	 libpfm_intel_snbep_unc_ha.3 \
	 libpfm_intel_snbep_unc_imc.3 \
	 libpfm_intel_snbep_unc_pcu.3 \
	 libpfm_intel_snbep_unc_qpi.3 \
	 libpfm_intel_snbep_unc_ubo.3 \
	 libpfm_intel_snbep_unc_r2pcie.3 \
	 libpfm_intel_snbep_unc_r3qpi.3 \
	 libpfm_intel_ivbep_unc_cbo.3 \
	 libpfm_intel_ivbep_unc_ha.3 \
	 libpfm_intel_ivbep_unc_imc.3 \
	 libpfm_intel_ivbep_unc_pcu.3 \
	 libpfm_intel_ivbep_unc_qpi.3 \
	 libpfm_intel_ivbep_unc_ubo.3 \
	 libpfm_intel_ivbep_unc_r2pcie.3 \
	 libpfm_intel_ivbep_unc_r3qpi.3 \
	 libpfm_intel_ivbep_unc_irp.3 \
	 libpfm_intel_knc.3 \
	 libpfm_intel_hswep_unc_cbo.3 \
	 libpfm_intel_hswep_unc_ha.3 \
	 libpfm_intel_hswep_unc_imc.3 \
	 libpfm_intel_hswep_unc_irp.3 \
	 libpfm_intel_hswep_unc_pcu.3 \
	 libpfm_intel_hswep_unc_qpi.3 \
	 libpfm_intel_hswep_unc_r2pcie.3 \
	 libpfm_intel_hswep_unc_r3qpi.3 \
	 libpfm_intel_hswep_unc_sbo.3 \
	 libpfm_intel_hswep_unc_ubo.3

ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)
ARCH_MAN += libpfm_intel_p6.3 libpfm_intel_coreduo.3
endif

endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM),y)
ARCH_MAN += libpfm_arm_xgene.3 \
	    libpfm_arm_ac7.3 \
	    libpfm_arm_ac57.3 \
	    libpfm_arm_ac53.3 \
	    libpfm_arm_ac15.3 \
	    libpfm_arm_ac8.3 \
	    libpfm_arm_ac9.3 \
	    libpfm_arm_qcom_krait.3
endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM64),y)
ARCH_MAN += libpfm_arm_xgene.3 \
	    libpfm_arm_ac57.3 \
	    libpfm_arm_ac53.3
endif

ifeq ($(CONFIG_PFMLIB_ARCH_MIPS),y)
ARCH_MAN += libpfm_mips_74k.3
endif

GEN_MAN= libpfm.3 \
	pfm_find_event.3 \
	pfm_get_event_attr_info.3 \
	pfm_get_event_info.3 \
	pfm_get_event_encoding.3 \
	pfm_get_event_next.3 \
	pfm_get_pmu_info.3 \
	pfm_get_os_event_encoding.3 \
	pfm_get_version.3 \
	pfm_initialize.3 \
	pfm_terminate.3 \
	pfm_strerror.3

ifeq ($(SYS),Linux)
SYS_MAN=pfm_get_perf_event_encoding.3 libpfm_perf_event_raw.3
endif

MAN=$(GEN_MAN) $(ARCH_MAN) $(SYS_MAN)

install:

	-mkdir -p $(DESTDIR)$(MANDIR)/man3
	( cd man3; $(INSTALL) -m 644 $(MAN) $(DESTDIR)$(MANDIR)/man3 )

=== src/components/cuda/tests/Makefile ===
NAME=cuda
include ../../Makefile_comp_tests
include ../Makefile.cuda

TESTS = HelloWorld simpleMultiGPU simpleMultiGPU_no_counters simpleMultiGPU_cupti_only
cuda_tests: $(TESTS) 

CUDA_DIR ?= $(CUDA_PATH)
NVCC = $(CUDA_DIR)/bin/nvcc
NVCFLAGS = -g 
INCLUDE += -I$(CUDA_DIR)/include -I$(CUPTI_DIR)/include 
CUDALIBS = -L$(CUDRV_DIR)/lib64 -L$(CUDA_DIR)/lib64 -L$(CUPTI_DIR)/lib64 -lcudart -lcupti -lcuda 
PAPILIB += -L../../../libpfm4/lib -lpfm
default: $(TESTS)

%.o:%.cu
	$(NVCC) $(INCLUDE) $(NVCFLAGS) -c -o $@ $<

HelloWorld: HelloWorld.o $(UTILOBJS)
	$(CC) -Wl,-rpath,../../../libpfm4/lib $(INCLUDE) -o HelloWorld HelloWorld.o $(UTILOBJS) $(PAPILIB) $(CUDALIBS) $(LDFLAGS)

simpleMultiGPU: simpleMultiGPU.cu $(UTILOBJS)
	$(NVCC) $(INCLUDE) -DPAPI -g -o $@ $+ $(UTILOBJS) $(PAPILIB) $(CUDALIBS) $(LDFLAGS)

simpleMultiGPU_no_counters: simpleMultiGPU.cu $(UTILOBJS)
	$(NVCC) $(INCLUDE) -DNO_COUNTERS -g -o $@ $+ $(UTILOBJS) $(PAPILIB) $(CUDALIBS) $(LDFLAGS)

simpleMultiGPU_cupti_only: simpleMultiGPU.cu $(UTILOBJS)
	$(NVCC) $(INCLUDE) -DCUPTI_ONLY -g -o $@ $+ $(UTILOBJS) $(PAPILIB) $(CUDALIBS) $(LDFLAGS)

clean:
	rm -f $(TESTS) *.o cuda_ld_preload_example.so

# Extra example to show LD_PRELOAD can be used to insert PAPI CUDA into a pre-existing binary
cuda_ld_preload_example.so: simpleMultiGPU_no_counters cuda_ld_preload_example.c
	gcc -Wall -fPIC -shared -o cuda_ld_preload_example.so $(LFLAGS) $(INCLUDE) cuda_ld_preload_example.c ../../../libpapi.so


run: 
	( cd ~/icl/papi/papi/src/ && make )
	( make HelloWorld )
	./HelloWorld
	( cd ~/icl/papi/papi/src/ && make )
	( make simpleMultiGPU )
	./simpleMultiGPU

=== src/components/example/tests/Makefile ===
NAME=example
include ../../Makefile_comp_tests

%.o:%.c
	$(CC) $(CFLAGS) $(INCLUDE) -c -o $@ $<

TESTS = example_basic example_multiple_components

example_tests: $(TESTS)

example_basic: example_basic.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o example_basic example_basic.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS) 

example_multiple_components: example_multiple_components.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o example_multiple_components example_multiple_components.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS) 

clean:
	rm -f $(TESTS) *.o

=== src/components/host_micpower/tests/Makefile ===
NAME=host_micpower
include ../../Makefile_comp_tests

%.o:%.c
	$(CC) $(CFLAGS) $(INCLUDE) -c -o $@ $<

TESTS = host_micpower_basic 
host_micpower_tests : $(TESTS)

micpower_tests: $(TESTS)

host_micpower_basic: host_micpower_basic.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o host_micpower_basic host_micpower_basic.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS) 

clean:
	rm -f $(TESTS) *.o

=== src/components/infiniband/tests/Makefile ===
NAME=infiniband
include ../../Makefile_comp_tests

TESTS = infiniband_list_events infiniband_values_by_code 

infiniband_tests: $(TESTS)


%.o:%.c
	$(CC) $(CFLAGS) $(INCLUDE) -c -o $@ $<

infiniband_list_events: infiniband_list_events.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ $^ $(LDFLAGS)

infiniband_values_by_code: infiniband_values_by_code.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ $^ $(LDFLAGS)

clean:
	rm -f $(TESTS) *.o

=== src/components/infiniband_umad/tests/Makefile ===
NAME=infiniband_umad
include ../../Makefile_comp_tests
include ../Makefile.infiniband_umad

INFINIBANDLIBS = -L$(INFINIBAND_IBMAD_DIR)/lib64 -L$(INFINIBAND_IBUMAD_DIR)/lib64 -libumad -libmad

TESTS = infiniband_umad_list_events infiniband_umad_values_by_code 

infiniband_umad_tests: $(TESTS)


%.o:%.c
	$(CC) $(CFLAGS) $(INCLUDE) -c -o $@ $<

infiniband_umad_list_events: infiniband_umad_list_events.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ $^ $(LDFLAGS) $(INFINIBANDLIBS)

infiniband_umad_values_by_code: infiniband_umad_values_by_code.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ $^ $(LDFLAGS) $(INFINIBANDLIBS)

clean:
	rm -f $(TESTS) *.o

=== src/components/mx/tests/Makefile ===
NAME=mx
include ../../Makefile_comp_tests

%.o:%.c
	$(CC) $(CFLAGS) $(INCLUDE) -c -o $@ $<

TESTS = mx_basic mx_elapsed

mx_tests: $(TESTS)

mx_basic: mx_basic.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o mx_basic mx_basic.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS) 


mx_elapsed: mx_elapsed.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o mx_elapsed mx_elapsed.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS) 


clean:
	rm -f $(TESTS) *.o

=== src/components/nvml/tests/Makefile ===
NAME=nvml
include ../../Makefile_comp_tests
include ../Makefile.nvml

NVCC = $(CUDA_DIR)/bin/nvcc
NVCFLAGS = -arch=sm_13
CUDALIBS = -L$(NVML_DIR)/lib64 -L$(CUDA_DIR)/lib64 -lcuda -lcudart -lnvidia-ml

%.o:%.cu
	$(NVCC) $(INCLUDE) $(NVCFLAGS) -c -o $@ $<

TESTS = HelloWorld

nvml_tests: $(TESTS) 

HelloWorld: HelloWorld.o $(UTILOBJS)
	$(CC) $(INCLUDE) -o HelloWorld HelloWorld.o $(UTILOBJS) $(PAPILIB) $(CUDALIBS)

clean:
	rm -f $(TESTS) *.o

=== debian/changelog ===
papi (5.4.3-2) unstable; urgency=medium

  * Bump libpfm4-dev B-D to >= 4.7.0
  * Mark x86-specific symbols as available on x32.
  * Bump Standards-Version to 3.9.7. No changes needed.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 25 Feb 2016 20:15:40 +0100

papi (5.4.3-1) experimental; urgency=medium

  * New upstream release.
  * fix-manpages.patch: Refresh.
  * Soversion change: 5.4.1 -> 5.4.3. Rename package libpapi5.4.1 to
    libpapi5.4.3.
  * Update symbols for 5.4.3.
  * Drop papi-dbg package in favor of autogenerated -dbgsym packages.
  * Add Lintian overrides for a prebuilt binary in the source.
  * fix-typos.patch: New, fix more typos found by Lintian.
  * Use https:// Homepage and watch URLs.
  * Update Vcs-* URLs.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Feb 2016 17:06:05 +0100

=== debian/control ===
Source: papi
Priority: extra
Maintainer: Vincent Danjean <vdanjean@debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libpfm4-dev (>= 4.7.0),
 gfortran,
Standards-Version: 3.9.7
Section: devel
Homepage: https://icl.cs.utk.edu/papi/software/index.html
Vcs-Git: https://anonscm.debian.org/git/collab-maint/papi.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/papi.git

Package: libpapi5.4.3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libpfm4 (>= ${libpfm4:MinVersion}),
 ${shlibs:Depends}, ${misc:Depends}
Description: PAPI runtime (shared libraries)
 Performance Application Programming Interface (PAPI) provides the tool
 designer and application engineer with a consistent interface and methodology
 for use of the performance counter hardware found in most major
 microprocessors. PAPI enables software engineers to see, in near real time,
 the relation between software performance and processor events.
 .
 In addition Component PAPI provides access to a collection of components that
 expose performance measurement opportunites across the hardware and software
 stack.
 .
 This package provides the shared library.

Package: libpapi-dev
Section: libdevel
Architecture: any
Depends:
 libpapi${papi:SOVERSION} (= ${binary:Version}),
 ${misc:Depends}
Description: PAPI development files (headers and API documentation)
 Performance Application Programming Interface (PAPI) provides the tool
 designer and application engineer with a consistent interface and methodology
 for use of the performance counter hardware found in most major
 microprocessors. PAPI enables software engineers to see, in near real time,
 the relation between software performance and processor events.
 .
 In addition Component PAPI provides access to a collection of components that
 expose performance measurement opportunites across the hardware and software
 stack.
 .
 This package provides the development files of PAPI.

Package: papi-tools
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PAPI utilities
 Performance Application Programming Interface (PAPI) provides the tool
 designer and application engineer with a consistent interface and methodology
 for use of the performance counter hardware found in most major
 microprocessors. PAPI enables software engineers to see, in near real time,
 the relation between software performance and processor events.
 .
 In addition Component PAPI provides access to a collection of components that
 expose performance measurement opportunites across the hardware and software
 stack.
 .
 This package provides utilities provided by the PAPI software.

Package: papi-examples
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: libpapi-dev (>= ${source:Version}), libpapi-dev (<< ${source:Upstream-Version}.~), ${shlibs:Depends}, ${misc:Depends}
Recommends:
 build-essential,
 gfortran,
 mpi-default-dev,
Description: PAPI example files and test programs
 Performance Application Programming Interface (PAPI) provides the tool
 designer and application engineer with a consistent interface and methodology
 for use of the performance counter hardware found in most major
 microprocessors. PAPI enables software engineers to see, in near real time,
 the relation between software performance and processor events.
 .
 In addition Component PAPI provides access to a collection of components that
 expose performance measurement opportunites across the hardware and software
 stack.
 .
 This package provides examples and tests of the PAPI software.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

SOVERSION	 = 5.4.3

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

get_package_version	= $(shell dpkg-query -s $1 2>/dev/null | grep ^Version: | cut -d ' ' -f2)

# Upstream does not use CPPFLAGS
CFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS) \
        $(shell dpkg-buildflags --get CFLAGS)
export CFLAGS

%:
	dh $@ --sourcedirectory=src --with autoreconf

.PHONY: override_dh_auto_configure
override_dh_auto_configure: build-generated
	dh_auto_configure --sourcedirectory=src -- \
		--with-static-lib=yes \
		--with-shared-lib=yes \
		--with-shlib \
		--with-perf-events \
		--with-pfm-incdir=/usr/include \
		--with-pfm-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

.PHONY: override_dh_auto_test
override_dh_auto_test:
	-dh_auto_test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install --sourcedirectory=src -- install-all

.PHONY: override_dh_makeshlibs
override_dh_makeshlibs:
	dh_makeshlibs -a -- -c4

.PHONY: override_dh_shlibdeps
override_dh_shlibdeps:
	find debian/libpapi$(SOVERSION)/usr/lib/$(DEB_HOST_MULTIARCH) -type l -name 'libpapi.so.*' | xargs -r rm -v
	/sbin/ldconfig -n -v debian/libpapi$(SOVERSION)/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_shlibdeps -a -- --warnings=7

.PHONY: override_dh_install
override_dh_install:
	dh_install --list-missing

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs RELEASENOTES.txt

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.c -X.h -X.F -XMakefile

.PHONY: override_dh_gencontrol
override_dh_gencontrol:
	dh_gencontrol -- \
		-V'papi:SOVERSION=$(SOVERSION)' \
		-V'libpfm4:MinVersion=$(call get_package_version,libpfm4-dev)'


TEMPLATES	:= $(wildcard debian/libpapiSOVERSION.*)
GENERATED	 = $(subst SOVERSION,$(SOVERSION),$(TEMPLATES))

libpapi$(SOVERSION).%: libpapiSOVERSION.%
	sed 's/@SOVERSION@/$(SOVERSION)/g' $< > $@

build-generated: $(GENERATED) ;
clean-generated:
	$(RM) $(GENERATED)

clean: clean-generated

=== debian/watch ===
version=3

https://icl.cs.utk.edu/papi/software/index.html .*/papi-(.*)\.tar\.gz

## papi 5.5.0

=== src/libpfm4/lib/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
# of the Software, and to permit persons to whom the Software is furnished to do so,
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

#
# Common files
#
SRCS=pfmlib_common.c

ifeq ($(SYS),Linux)
SRCS += pfmlib_perf_event_pmu.c pfmlib_perf_event.c pfmlib_perf_event_raw.c
endif

CFLAGS+=-D_REENTRANT -I. -fvisibility=hidden

#
# list all library support modules
#
ifeq ($(CONFIG_PFMLIB_ARCH_IA64),y)
INCARCH = $(INC_IA64)
#SRCS   += pfmlib_gen_ia64.c pfmlib_itanium.c pfmlib_itanium2.c pfmlib_montecito.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_IA64
endif

ifeq ($(CONFIG_PFMLIB_ARCH_X86),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_intel_x86_perf_event.c pfmlib_amd64_perf_event.c \
	pfmlib_intel_netburst_perf_event.c \
	pfmlib_intel_snbep_unc_perf_event.c
endif

INCARCH = $(INC_X86)
SRCS   += pfmlib_amd64.c pfmlib_intel_core.c pfmlib_intel_x86.c \
	  pfmlib_intel_x86_arch.c pfmlib_intel_atom.c \
	  pfmlib_intel_nhm_unc.c pfmlib_intel_nhm.c \
	  pfmlib_intel_wsm.c  \
	  pfmlib_intel_snb.c pfmlib_intel_snb_unc.c \
	  pfmlib_intel_ivb.c pfmlib_intel_ivb_unc.c \
	  pfmlib_intel_hsw.c \
	  pfmlib_intel_bdw.c \
	  pfmlib_intel_skl.c \
	  pfmlib_intel_rapl.c \
	  pfmlib_intel_snbep_unc.c \
	  pfmlib_intel_snbep_unc_cbo.c \
	  pfmlib_intel_snbep_unc_ha.c \
	  pfmlib_intel_snbep_unc_imc.c \
	  pfmlib_intel_snbep_unc_pcu.c \
	  pfmlib_intel_snbep_unc_qpi.c \
	  pfmlib_intel_snbep_unc_ubo.c \
	  pfmlib_intel_snbep_unc_r2pcie.c \
	  pfmlib_intel_snbep_unc_r3qpi.c \
	  pfmlib_intel_ivbep_unc_cbo.c \
	  pfmlib_intel_ivbep_unc_ha.c \
	  pfmlib_intel_ivbep_unc_imc.c \
	  pfmlib_intel_ivbep_unc_pcu.c \
	  pfmlib_intel_ivbep_unc_qpi.c \
	  pfmlib_intel_ivbep_unc_ubo.c \
	  pfmlib_intel_ivbep_unc_r2pcie.c \
	  pfmlib_intel_ivbep_unc_r3qpi.c \
	  pfmlib_intel_ivbep_unc_irp.c \
	  pfmlib_intel_hswep_unc_cbo.c \
	  pfmlib_intel_hswep_unc_ha.c \
	  pfmlib_intel_hswep_unc_imc.c \
	  pfmlib_intel_hswep_unc_pcu.c \
	  pfmlib_intel_hswep_unc_qpi.c \
	  pfmlib_intel_hswep_unc_ubo.c \
	  pfmlib_intel_hswep_unc_r2pcie.c \
	  pfmlib_intel_hswep_unc_r3qpi.c \
	  pfmlib_intel_hswep_unc_irp.c \
	  pfmlib_intel_hswep_unc_sbo.c \
	  pfmlib_intel_knc.c \
	  pfmlib_intel_slm.c \
	  pfmlib_intel_knl.c \
	  pfmlib_intel_glm.c \
	  pfmlib_intel_netburst.c \
	  pfmlib_amd64_k7.c pfmlib_amd64_k8.c pfmlib_amd64_fam10h.c \
	  pfmlib_amd64_fam11h.c pfmlib_amd64_fam12h.c \
	  pfmlib_amd64_fam14h.c pfmlib_amd64_fam15h.c

CFLAGS += -DCONFIG_PFMLIB_ARCH_X86

ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)
SRCS += pfmlib_intel_coreduo.c pfmlib_intel_p6.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_I386
endif

ifeq ($(CONFIG_PFMLIB_ARCH_X86_64),y)
CFLAGS += -DCONFIG_PFMLIB_ARCH_X86_64
endif

endif

ifeq ($(CONFIG_PFMLIB_ARCH_POWERPC),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_powerpc_perf_event.c
endif

INCARCH = $(INC_POWERPC)
SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c pfmlib_power8.c pfmlib_powerpc_nest.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_POWERPC
endif

ifeq ($(CONFIG_PFMLIB_ARCH_S390X),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_s390x_perf_event.c
endif

INCARCH = $(INC_S390X)
SRCS   += pfmlib_s390x_cpumf.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_S390X
endif

ifeq ($(CONFIG_PFMLIB_ARCH_SPARC),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_sparc_perf_event.c
endif

INCARCH = $(INC_SPARC)
SRCS   += pfmlib_sparc.c pfmlib_sparc_ultra12.c pfmlib_sparc_ultra3.c pfmlib_sparc_ultra4.c pfmlib_sparc_niagara.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_SPARC
endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_arm_perf_event.c
endif

INCARCH = $(INC_ARM)
SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c pfmlib_arm_armv6.c pfmlib_arm_armv8.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM
endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM64),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_arm_perf_event.c
endif

INCARCH = $(INC_ARM64)
SRCS   += pfmlib_arm.c pfmlib_arm_armv8.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM64
endif

ifeq ($(CONFIG_PFMLIB_ARCH_MIPS),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_mips_perf_event.c
endif

INCARCH = $(INC_MIPS)
SRCS   += pfmlib_mips.c pfmlib_mips_74k.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_MIPS
endif

ifeq ($(CONFIG_PFMLIB_CELL),y)
INCARCH = $(INC_CELL)
#SRCS   += pfmlib_cell.c
CFLAGS += -DCONFIG_PFMLIB_CELL
endif

ifeq ($(SYS),Linux)
SLDFLAGS=$(LDFLAGS) -shared -Wl,-soname -Wl,$(VLIBPFM)
SLIBPFM=libpfm.so.$(VERSION).$(REVISION).$(AGE)
VLIBPFM=libpfm.so.$(VERSION)
SOLIBEXT=so
endif

CFLAGS+=-I.
ALIBPFM=libpfm.a

TARGETS=$(ALIBPFM)

ifeq ($(CONFIG_PFMLIB_SHARED),y)
TARGETS += $(SLIBPFM)
endif

OBJS=$(SRCS:.c=.o)
SOBJS=$(OBJS:.o=.lo)

INC_COMMON= $(PFMINCDIR)/perfmon/pfmlib.h pfmlib_priv.h

ifeq ($(SYS),Linux)
INC_COMMON += $(PFMINCDIR)/perfmon/perf_event.h events/perf_events.h
endif

INC_IA64=pfmlib_ia64_priv.h	 \
	events/itanium_events.h	 \
	events/itanium2_events.h \
	events/montecito_events.h

INC_X86= pfmlib_intel_x86_priv.h	\
	pfmlib_amd64_priv.h		\
	events/amd64_events_k7.h    	\
	events/amd64_events_k8.h    	\
	events/amd64_events_fam10h.h	\
	events/amd64_events_fam11h.h	\
	events/amd64_events_fam12h.h	\
	events/amd64_events_fam14h.h	\
	events/amd64_events_fam15h.h	\
	events/intel_p6_events.h	\
	events/intel_netburst_events.h	\
	events//intel_x86_arch_events.h \
	events/intel_coreduo_events.h	\
	events/intel_core_events.h	\
	events/intel_atom_events.h	\
	events/intel_nhm_events.h	\
	events/intel_nhm_unc_events.h	\
	events/intel_wsm_events.h	\
	events/intel_wsm_unc_events.h	\
	events/intel_snb_events.h	\
	events/intel_snb_unc_events.h	\
	events/intel_ivb_events.h	\
	events/intel_hsw_events.h	\
	events/intel_bdw_events.h	\
	events/intel_skl_events.h	\
	events/intel_glm_events.h	\
	pfmlib_intel_snbep_unc_priv.h	\
	events/intel_snbep_unc_cbo_events.h \
	events/intel_snbep_unc_ha_events.h \
	events/intel_snbep_unc_imc_events.h \
	events/intel_snbep_unc_pcu_events.h \
	events/intel_snbep_unc_qpi_events.h \
	events/intel_snbep_unc_ubo_events.h \
	events/intel_snbep_unc_r2pcie_events.h \
	events/intel_snbep_unc_r3qpi_events.h \
	events/intel_knc_events.h \
	events/intel_knl_events.h \
	events/intel_ivbep_unc_cbo_events.h \
	events/intel_ivbep_unc_ha_events.h \
	events/intel_ivbep_unc_imc_events.h \
	events/intel_ivbep_unc_pcu_events.h \
	events/intel_ivbep_unc_qpi_events.h \
	events/intel_ivbep_unc_ubo_events.h \
	events/intel_ivbep_unc_r2pcie_events.h \
	events/intel_ivbep_unc_r3qpi_events.h \
	events/intel_ivbep_unc_irp_events.h \
	events/intel_hswep_unc_cbo_events.h \
	events/intel_hswep_unc_sbo_events.h \
	events/intel_hswep_unc_ha_events.h \
	events/intel_hswep_unc_imc_events.h \
	events/intel_hswep_unc_pcu_events.h \
	events/intel_hswep_unc_qpi_events.h \
	events/intel_hswep_unc_ubo_events.h \
	events/intel_hswep_unc_r2pcie_events.h \
	events/intel_hswep_unc_r3qpi_events.h \
	events/intel_hswep_unc_irp_events.h \
	events/intel_slm_events.h

INC_MIPS=events/mips_74k_events.h events/mips_74k_events.h

INC_POWERPC=events/ppc970_events.h	\
	events/ppc970mp_events.h	\
	events/power4_events.h		\
	events/power5_events.h		\
	events/power5+_events.h		\
	events/power6_events.h		\
	events/power7_events.h		\
	events/power8_events.h		\
	events/torrent_events.h		\
	events/powerpc_nest_events.h

INC_S390X=pfmlib_s390x_priv.h \
	events/s390x_cpumf_events.h

INC_SPARC=events/sparc_ultra12_events.h		\
	events/sparc_ultra3_events.h		\
	events/sparc_ultra3plus_events.h	\
	events/sparc_ultra3i_events.h		\
	events/sparc_ultra4plus_events.h	\
	events/sparc_niagara1_events.h		\
	events/sparc_niagara2_events.h

INC_CELL=events/cell_events.h

INC_ARM=events/arm_cortex_a8_events.h		\
        events/arm_cortex_a9_events.h		\
        events/arm_arm_xgene_events.h

INC_ARM=pfmlib_arm_priv.h			\
	events/arm_cortex_a7_events.h		\
	events/arm_cortex_a8_events.h		\
	events/arm_cortex_a9_events.h		\
	events/arm_cortex_a15_events.h		\
	events/arm_cortex_a57_events.h		\
	events/arm_cortex_a53_events.h

INC_ARM64=events/arm_cortex_a57_events.h	\
	  events/arm_cortex_a53_events.h

INCDEP=$(INC_COMMON) $(INCARCH)

all: $(TARGETS)

$(OBJS) $(SOBJS): $(TOPDIR)/config.mk $(TOPDIR)/rules.mk Makefile $(INCDEP)

libpfm.a:  $(OBJS)
	$(RM) $@
	$(AR) cq $@ $(OBJS)

$(SLIBPFM):  $(SOBJS)
	$(CC) $(CFLAGS) $(SLDFLAGS)  -o $@ $(SOBJS)
	$(LN) $@ $(VLIBPFM)
	$(LN) $@ libpfm.$(SOLIBEXT)

clean:
	$(RM) -f *.o *.lo *.a *.so* *~ *.$(SOLIBEXT)

distclean: clean

depend:
	$(MKDEP) $(CFLAGS) $(SRCS)

install: $(TARGETS)

install:
	@echo building: $(TARGETS)
	-mkdir -p $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 644 $(ALIBPFM) $(DESTDIR)$(LIBDIR)
ifeq ($(CONFIG_PFMLIB_SHARED),y)
	$(INSTALL) $(SLIBPFM) $(DESTDIR)$(LIBDIR)
	cd $(DESTDIR)$(LIBDIR); $(LN) $(SLIBPFM) $(VLIBPFM)
	cd $(DESTDIR)$(LIBDIR); $(LN) $(SLIBPFM) libpfm.$(SOLIBEXT)
	$(LDCONFIG)
endif

tags:
	$(CTAGS) -o $(TOPDIR)/tags --tag-relative=yes $(SRCS) $(INCDEP)

=== src/components/powercap/utils/Makefile ===
CC = gcc
CFLAGS = -O2 -Wall -fopenmp
LFLAGS = 
PAPI_INCLUDE = ../../.. 
PAPI_LIBRARY = ../../../libpapi.so

#all:	powercap_write_test

powercap_write_test:	powercap_write_test.o
	$(CC) $(LFLAGS) -o powercap_write_test -fopenmp powercap_write_test.o  $(PAPI_LIBRARY)

powercap_write_test.o:	powercap_write_test.c
	$(CC) $(CFLAGS) -I$(PAPI_INCLUDE)  -c powercap_write_test.c

clean:	
	rm -f *~ *.o powercap_write_test *.txt *.tsv *.dat *.jpg

=== debian/changelog ===
papi (5.5.0-3+alpha) unreleased; urgency=medium

  * alpha.patch: Fix build on Alpha.

 -- Michael Cree <mcree@orcon.net.nz>  Thu, 13 Oct 2016 09:31:06 +1300

papi (5.5.0-3) unstable; urgency=medium

  * pie.patch: New, do not build shared libraries with PIE flags.
  * Build with PIE enabled.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 08 Oct 2016 13:00:29 +0200

papi (5.5.0-2) unstable; urgency=medium

  * Fix upgrade from jessie with Breaks+Replaces: libpapi5.3.
  * Fix build on hppa, thanks to Helge Deller.  (Closes: #838321)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 Sep 2016 12:14:28 +0200

papi (5.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * fix-typos.patch: Fix some more typos.
  * Bump libpfm4-dev B-D to >= 4.7.0+git30.
  * Restore reproducibility.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 19 Sep 2016 09:40:23 +0200

papi (5.4.3-4) experimental; urgency=medium

  * Upstream has clarified what composes the library API.
  * Soversion change: 5.4.3 -> 5. Rename package libpapi5.4.3 to libpapi5.
  * Drop support for changing the Soversion frequently.
  * Overhaul buildflags usage and enable more hardening.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 29 May 2016 10:39:59 +0200

papi (5.4.3-3) unstable; urgency=medium

  * Document that the paranoia level in /proc/sys/kernel/perf_event_paranoid
    may need to be lowered to access performance counters.
  * Cherry-pick from upstream master:
    - 0001-added-PAPI-component.patch
    - 0002-added-power-cap-read-test.patch
    - 0003-added-intial-powercap-write-test-and-readme.patch
    - 0006-Cleanup-powercap-utility.-Removed-mention-of-libmsr-.patch
    - 0008-Fixed-cuda-component-README-to-use-the-correct-confi.patch
    - 0009-Thanks-to-William-Cohen-of-RedHat-for-providing-a-pa.patch
    - 0010-Thanks-to-William-Cohen-of-RedHat-for-providing-the-.patch
    - 0011-Removed-the-re-declaration-of-the-static-functions-i.patch
    - 0012-Make-coretemp-internal-functions-static-where-possib.patch
    - 0013-Fix-a-bashism-found-in-Makefile.inc.patch
    - 0014-Fix-leftover-doxygen-reference-in-INSTALL-file.patch
    - 0016-Only-expose-the-shared-libary-symbols-listed-papi.h-.patch
    - 0018-update-the-caddr_t-compatability-hack-in-papi.h.patch
  * Refresh patches.
  * Update symbols file, the library no longer exposes private symbols.
  * Bump libpfm4-dev B-D to >= 4.7.0+git11.
  * Bump Standards-Version to 3.9.8. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 29 May 2016 07:45:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
- libpfm4-dev (>= 4.7.0),
+ libpfm4-dev (>= 4.7.0+git30),
  gfortran,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: devel
 Homepage: https://icl.cs.utk.edu/papi/software/index.html
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/papi.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/papi.git
 
-Package: libpapi5.4.3
+Package: libpapi5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -22,6 +22,8 @@
 Depends:
  libpfm4 (>= ${libpfm4:MinVersion}),
  ${shlibs:Depends}, ${misc:Depends}
+Breaks: libpapi5.3
+Replaces: libpapi5.3
 Description: PAPI runtime (shared libraries)
  Performance Application Programming Interface (PAPI) provides the tool
  designer and application engineer with a consistent interface and methodology
@@ -33,13 +35,16 @@
  expose performance measurement opportunites across the hardware and software
  stack.
  .
+ Accessing performance counters from userspace may require reducing the paranoia
+ level in /proc/sys/kernel/perf_event_paranoid, see README.Debian for details.
+ .
  This package provides the shared library.
 
 Package: libpapi-dev
 Section: libdevel
 Architecture: any
 Depends:
- libpapi${papi:SOVERSION} (= ${binary:Version}),
+ libpapi5 (= ${binary:Version}),
  ${misc:Depends}
 Description: PAPI development files (headers and API documentation)
  Performance Application Programming Interface (PAPI) provides the tool
@@ -76,7 +81,7 @@
 Architecture: all
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpapi-dev (>= ${source:Version}), libpapi-dev (<< ${source:Upstream-Version}.~), ${shlibs:Depends}, ${misc:Depends}
+Depends: libpapi-dev (>= ${source:Version}), libpapi-dev (<< ${source:Upstream-Version}.~), ${misc:Depends}
 Recommends:
  build-essential,
  gfortran,

## papi 5.5.1

=== src/components/cuda/sampling/Makefile ===
include ../Makefile.cuda
CFG = -I$(CUDA_DIR)/include  -I$(CUPTI_DIR)/include
LDG = -L$(CUDA_DIR)/lib64  -L$(CUPTI_DIR)/lib64
comp= $(CUDA_DIR)/bin/nvcc

all:
	@make lib
	@make papi_sampling
	@make sample
	@make cpy

lib: activity.c
	@gcc -fPIC -shared -o libactivity.so  $(CFG) $(LDG) activity.c -lcuda -lcupti

papi_sampling: gpu_activity.c
	@gcc -I. gpu_activity.c -o ../../../utils/papi_sampling_cuda

sample: test/matmul.cu
	@$(comp) test/matmul.cu $(CFG) $(LDG) -o test/matmul -lcuda 

cpy:
	cp ../../../utils/papi_sampling_cuda  test

clean:
	rm libactivity.so ../../../utils/papi_sampling_cuda test/matmul test/sass* test/papi_sampling_cuda

=== src/components/powercap/tests/Makefile ===
NAME=powercap
include ../../Makefile_comp_tests

TESTS = powercap_basic powercap_busy

powercap_tests: $(TESTS)

powercap_basic.o:	powercap_basic.c
	$(CC) $(CFLAGS) $(INCLUDE) -c powercap_basic.c -o powercap_basic.o -DBASIC_TEST=1

powercap_busy.o:	powercap_basic.c
	$(CC) $(CFLAGS) $(INCLUDE) -c powercap_basic.c -o powercap_busy.o 

powercap_basic: powercap_basic.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o powercap_basic powercap_basic.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS) 

powercap_busy: powercap_busy.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o powercap_busy powercap_busy.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS) 

clean:
	rm -f $(TESTS) *.o *~

=== debian/changelog ===
papi (5.5.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Jan 2017 01:48:42 +0100

papi (5.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Jan 2017 03:07:07 +0100

papi (5.5.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Sep 2016 14:10:19 +0200

papi (5.4.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Aug 2015 09:46:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
- libpfm4-dev (>= 4.7.0+git30),
+ libpfm4-dev (>= 4.8),
  gfortran,
 Standards-Version: 3.9.8
 Section: devel

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS	 = yes
include /usr/share/dpkg/buildflags.mk

# Upstream does not use CPPFLAGS
CFLAGS	+= $(CPPFLAGS)

DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

get_package_version	 = $(shell dpkg-query -W -f '$${Version}' $1)

%:
	dh $@ --sourcedirectory=src --with autoreconf

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=src -- \
		--with-static-lib=yes \
		--with-shared-lib=yes \
		--with-shlib \
		--with-perf-events \
		--with-pfm-incdir=/usr/include \
		--with-pfm-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		CC=$(CC)
	# for reproducibility
	sed -r -i '/^[CF]FLAGS/s/-fdebug-prefix-map=\S*\s*//' \
		src/ctests/Makefile.target \
		src/ftests/Makefile.target \
		src/testlib/Makefile.target \
		src/components/Makefile_comp_tests.target

.PHONY: override_dh_auto_test
override_dh_auto_test:
	-dh_auto_test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install --sourcedirectory=src -- install-all

.PHONY: override_dh_makeshlibs
override_dh_makeshlibs:
	dh_makeshlibs -a -- -c4

.PHONY: override_dh_shlibdeps
override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7

.PHONY: override_dh_install
override_dh_install:
	dh_install --list-missing

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs RELEASENOTES.txt

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.c -X.h -X.F -XMakefile

.PHONY: override_dh_gencontrol
override_dh_gencontrol:
	dh_gencontrol -- \
		-V'libpfm4:MinVersion=$(call get_package_version,libpfm4-dev)'
